Skip to main content
GET
/
tracking
List trackings
curl --request GET \
  --url https://tracking.prod.judit.io/tracking \
  --header 'api-key: <api-key>'
{
    "page": 1,
    "page_data": [
        {
            "tracking_id": "00000000-0000-0000-0000-000000000001",
            "user_id": "00000000-0000-0000-0000-0000000000aa",
            "status": "updating",
            "recurrence": 1,
            "search": {
                "search_type": "cpf",
                "search_key": "999.999.999-99",
                "search_params": {}
            },
            "created_at": "2023-10-14T00:39:28.864Z",
            "updating_at": "2023-10-18T00:39:39.538Z",
            "updated_at": "2023-10-18T00:39:39.596Z"
        },
        {
            "tracking_id": "00000000-0000-0000-0000-000000000002",
            "user_id": "00000000-0000-0000-0000-0000000000aa",
            "status": "updating",
            "recurrence": 1,
            "search": {
                "search_type": "lawsuit_cnj",
                "search_key": "9999999-99.9999.9.99.9999",
                "search_params": {}
            },
            "created_at": "2023-10-17T15:17:05.826Z",
            "updating_at": "2023-10-18T15:17:09.125Z",
            "updated_at": "2023-10-18T15:17:09.203Z"
        }
    ],
    "page_count": 2,
    "all_count": 2,
    "all_pages_count": 1
}
page
integer
Defines which page of results you want to fetch.
page_size
integer
Defines the maximum number of results you want to receive per page.
orderField
string
Name of the field to sort the searches by.
orderDirection
string
Sort direction: ‘asc’ or ‘desc’.
search_type
string
Returns trackings of the specified reference type: ‘cpf’, ‘cnpj’, ‘oab’, or ‘lawsuit_cnj’.
search_key
string
Returns trackings related to the provided CPF, CNPJ, OAB, or lawsuit number.
lawsuit_instance
integer
Returns trackings whose lawsuit instance matches the one provided.
status
string
Returns trackings whose status can be ‘created’, ‘updating’, ‘updated’, ‘paused’, or ‘deleted’. You may also pass more than one status as an array (e.g., ['updating', 'paused']).
tags
string
Returns trackings with the provided tags.
recurrence_gte
integer
Returns trackings whose update recurrence (in days) is greater than or equal to the value provided.
recurrence_lte
integer
Returns trackings whose update recurrence (in days) is less than or equal to the value provided.
created_at_gte
date
Returns trackings whose creation date is greater than or equal to the value provided.
created_at_lte
date
Returns trackings whose creation date is less than or equal to the value provided.
updated_at_gte
date
Returns trackings whose update date is greater than or equal to the value provided.
updated_at_lte
date
Returns trackings whose update date is less than or equal to the value provided.
updating_at_gte
date
Returns trackings whose tracking execution date is greater than or equal to the value provided.
updating_at_lte
date
Returns trackings whose tracking execution date is less than or equal to the value provided.
paused_at_gte
date
Returns trackings whose pause date is greater than or equal to the value provided.
paused_at_lte
date
Returns trackings whose pause date is less than or equal to the value provided.
deleted_at_gte
date
Returns trackings whose deletion date is greater than or equal to the value provided.
deleted_at_lte
date
Returns trackings whose deletion date is less than or equal to the value provided.
{
    "page": 1,
    "page_data": [
        {
            "tracking_id": "00000000-0000-0000-0000-000000000001",
            "user_id": "00000000-0000-0000-0000-0000000000aa",
            "status": "updating",
            "recurrence": 1,
            "search": {
                "search_type": "cpf",
                "search_key": "999.999.999-99",
                "search_params": {}
            },
            "created_at": "2023-10-14T00:39:28.864Z",
            "updating_at": "2023-10-18T00:39:39.538Z",
            "updated_at": "2023-10-18T00:39:39.596Z"
        },
        {
            "tracking_id": "00000000-0000-0000-0000-000000000002",
            "user_id": "00000000-0000-0000-0000-0000000000aa",
            "status": "updating",
            "recurrence": 1,
            "search": {
                "search_type": "lawsuit_cnj",
                "search_key": "9999999-99.9999.9.99.9999",
                "search_params": {}
            },
            "created_at": "2023-10-17T15:17:05.826Z",
            "updating_at": "2023-10-18T15:17:09.125Z",
            "updated_at": "2023-10-18T15:17:09.203Z"
        }
    ],
    "page_count": 2,
    "all_count": 2,
    "all_pages_count": 1
}

Authorizations

api-key
string
header
required

Query Parameters

page
integer

Defines which page of results you want to fetch.

page_size
integer

Defines the maximum number of results you want to receive per page.

orderField
string

Name of the field to sort the searches by.

orderDirection
string

Sort direction: ‘asc’ or ‘desc’.

search_type
string

Returns trackings of the specified reference type: ‘cpf’, ‘cnpj’, ‘oab’, or ‘lawsuit_cnj’.

search_key
string

Returns trackings related to the provided CPF, CNPJ, OAB, or lawsuit number.

lawsuit_instance
integer

Returns trackings whose lawsuit instance matches the one provided.

status
string

Returns trackings whose status can be ‘created’, ‘updating’, ‘updated’, ‘paused’, or ‘deleted’. You may also pass more than one status as an array (e.g., ['updating', 'paused'] ).

tags
string

Returns trackings with the provided tags.

recurrence_gte
integer

Returns trackings whose update recurrence (in days) is greater than or equal to the value provided.

recurrence_lte
integer

Returns trackings whose update recurrence (in days) is less than or equal to the value provided.

created_at_gte
string

Returns trackings whose creation date is greater than or equal to the value provided.

created_at_lte
string

Returns trackings whose creation date is less than or equal to the value provided.

updated_at_gte
string

Returns trackings whose update date is greater than or equal to the value provided.

updated_at_lte
string

Returns trackings whose update date is less than or equal to the value provided.

updating_at_gte
string

Returns trackings whose tracking execution date is greater than or equal to the value provided.

updating_at_lte
string

Returns trackings whose tracking execution date is less than or equal to the value provided.

paused_at_gte
string

Returns trackings whose pause date is greater than or equal to the value provided.

paused_at_lte
string

Returns trackings whose pause date is less than or equal to the value provided.

deleted_at_gte
string

Returns trackings whose deletion date is greater than or equal to the value provided.

deleted_at_lte
string

Returns trackings whose deletion date is less than or equal to the value provided.